{ preparePort, libsndfile }:

preparePort rec {
  inherit (libsndfile) name src;
  outputs = [ "source" "include" ];
  buildPhase =
    ''
      sed \
        -e "s|@includedir@|$include|" \
        -e 's/@VERSION@/${(builtins.parseDrvName name).version}/' \
        -e 's/^Libs:.*/Libs: -l:sndfile.lib.so/' \
        -e '/@/d' \
        < sndfile.pc.in > src/sndfile.pc
      sed \
        -e 's/@TYPEOF_SF_COUNT_T@/size_t/' \
        -e 's/@SF_COUNT_MAX@/9223372036854775807/' \
        < src/sndfile.h.in > src/sndfile.h
    '';
  installPhase =
    ''
      cp -rv src $source
      mkdir $include
      cp src/sndfile.h $include/
    '';
}
