{ preparePort, rtaudio }:

preparePort rec {
  inherit (rtaudio) name version src;
  outputs = [ "source" "include" ];
  buildPhase =
    ''
      mkdir $source $include
      sed \
        -e "s|^includedir.*|include=$include|" \
        -e 's/@PACKAGE_VERSION@/${version}/' \
        -e 's/@req@/stdcxx/' \
        -e 's/^Libs:.*/Libs: -l:rtaudio.lib.so/' \
        -e '/pthread/d' \
        -e 's/@api@/-D__GENODE_AUDIO__/' \
        -e '/@/d' \
        -e '/prefix/d' \
        < rtaudio.pc.in > $source/rtaudio.pc
    '';
  installPhase =
    ''
      cp -rv RtAudio.cpp rtaudio_c.cpp include $source
      cp RtAudio.h rtaudio_c.h $include
    '';
}
